NMDHCP4Config
3
LIBNM-GLIB Library

# NMDHCP4Config

## Synopsis

                        NMDHCP4Config;
    #define             NM_DHCP4_CONFIG_OPTIONS
    GObject*            nm_dhcp4_config_new                 (DBusGConnection *connection,
                                                             const char *object_path);
    GHashTable*         nm_dhcp4_config_get_options         (NMDHCP4Config *config);
    const char*         nm_dhcp4_config_get_one_option      (NMDHCP4Config *config,
                                                             const char *option);

## Object Hierarchy

      GObject
       +----NMObject
             +----NMDHCP4Config

## Properties

      "options"                  GHashTable            : Read

## Description

## Details

### NMDHCP4Config

    typedef struct _NMDHCP4Config NMDHCP4Config;

### NM_DHCP4_CONFIG_OPTIONS

    #define NM_DHCP4_CONFIG_OPTIONS "options"

### nm_dhcp4_config_new ()

    GObject*            nm_dhcp4_config_new                 (DBusGConnection *connection,
                                                             const char *object_path);

Creates a new NMDHCP4Config.

`connection` :

  the DBusGConnection

`object_path` :

  the DBus object path of the device

Returns :

  a new configuration

### nm_dhcp4_config_get_options ()

    GHashTable*         nm_dhcp4_config_get_options         (NMDHCP4Config *config);

Gets all the options contained in the configuration.

`config` :

  a NMDHCP4Config

Returns :

  the GHashTable containing strings for keys and values. This is the internal copy used by the configuration, and must not be modified.

### nm_dhcp4_config_get_one_option ()

    const char*         nm_dhcp4_config_get_one_option      (NMDHCP4Config *config,
                                                             const char *option);

Gets one option by option name.

`config` :

  a NMDHCP4Config

`option` :

  the option to retrieve

Returns :

  the configuration option's value. This is the internal string used by the configuration, and must not be modified.

## Property Details

### The `"options"` property

      "options"                  GHashTable            : Read

The GHashTable containing options of the configuration.